import java.awt.*;
public interface IDrawingObject {
    /// Шаг перемещения объекта
    float getStep();
    /// Установка позиции объекта
    void SetObject(int x, int y, int width, int height);
    /// Изменение направления перемещения объекта
    void MoveObject(Direction direction);
    /// Отрисовка объекта
    void DrawingObject(Graphics g);
    /// Получение текущей позиции объекта
    float[] GetCurrentPosition();
    //0 - up
    //1 - right
    //2 - down
    //3 - left
}
